Subject: bug#5551: 23.1.92; Dired shows wrongly whole directory contents

From: Chong Yidong <[email-masked]>
Date: Sat, 13 Feb 2010 02:33:23 -0500

Michael Albinus <[email-masked]> writes:

> Have you tried the example I gave in the bug report? There is definitely
> an error, if default-directory points to "~/somewhere/else", and you
> apply
>
>   (dired '("foo" "~/"))
>
> You will see the relative file names listed from "~/", but if you click
> on a file name, you cannot open, because default-directory is still
> "~/somewhere/else".

I see; this is indeed a problem, so I guess we can risk committing the
patch.  Please do so, thanks.